Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.lib.sql
Class RowSet

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.lib.sql.StreamableNode
                  |
                  +--org.apache.xalan.lib.sql.RowSet

public class RowSet
extends StreamableNode

This class represents the row-set StreamableNode, a "streamable" holder for the JDBC query result set.

Constructor Summary
`RowSet(XStatement statement)`

Method Summary
`Node` | `getFirstChild()` The first time the client asks for a column-header element, instantiate an array of ColumnHeaders (1 per column), and return the ColumnHeader for the first row.
`Node` | `getNextSibling()` This always returns null.
`java.lang.String` | `getNodeName()` Return "row-set".
`Node` | `getParentNode()` The parent node of row-set is #Document (represented by XStatement).
`boolean` | `hasChildNodes()` Tell if there are any children of the document, which is always true.

Methods inherited from class org.apache.xalan.lib.sql.StreamableNode
`getAttributes, getLength, getLocalName, getNamedItem, getNamedItemNS, getNamespaceURI, getNodeTest, getNodeType, getOwnerDocument, getPrefix, getUid, getXStatement, item, removeNamedItem, removeNamedItemNS, setNamedItem, setNamedItemNS, setNodeTest, supports`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendChild, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildNodes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getLastChild, getNodeValue, getOwnerElement, getPreviousSibling, getSpecified, getTagName, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowSet

    public RowSet(XStatement statement)

Method Detail

### getNodeName

    public java.lang.String getNodeName()

  Return "row-set".
  Overrides:
    getNodeName in class UnImplNode

### getFirstChild

    public Node getFirstChild()

  The first time the client asks for a column-header element, instantiate an array of ColumnHeaders (1 per column), and return the ColumnHeader for the first row.
  Returns:
    ColumnHeader Node for first row or null.
  Overrides:
    getFirstChild in class UnImplNode

### getNextSibling

    public Node getNextSibling()

  This always returns null.
  Overrides:
    getNextSibling in class UnImplNode

### getParentNode

    public Node getParentNode()

  The parent node of row-set is #Document (represented by XStatement).
  Overrides:
    getParentNode in class UnImplNode

### hasChildNodes

    public boolean hasChildNodes()

  Tell if there are any children of the document, which is always true.
  Overrides:
    hasChildNodes in class UnImplNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.